## python-reedsolo 1.7.0

=== Makefile ===
# This Makefile runs tests and builds the package to upload to pypi
# To use this Makefile, pip install py-make
# You also need to pip install also other required modules: `pip install flake8 nose coverage twine pytest pytest-cov`
# Up to Python 3.9 included, nosetests was used, but from 3.10 onward, support for it was dropped since it is not maintained anymore, so that pytest and pytest-cov are used instead.
# Then, cd to this folder, and type `pymake -p` to list all commands, then `pymake <command>` to run the related entry.
# To test on multiple Python versions, install them, install also the C++ redistributables for each (so that Cython works), and then type `pymake testtox`.
# To pymake buildupload (deploy on pypi), you need to `pip install cython` and install a C++ compiler, on Windows and with Python 3.7 you need Microsoft Visual C++ 14.0. Get it with "Microsoft Visual C++ Build Tools": https://visualstudio.microsoft.com/fr/visual-cpp-build-tools/
# for Python 3.10, read the updated instructions at: https://wiki.python.org/moin/WindowsCompilers

.PHONY:
	alltests
	all
	flake8
	test
	testsetup
    testsetuppost
	testcoverage
    testtox
	distclean
	coverclean
	prebuildclean
	clean
    toxclean
	installdev
	install
	build
	buildupload
	pypi
	help

help:
	@+make -p

alltests:
	@+make test
	@+make flake8
	@+make testsetup

all:
	@+make alltests
	@+make build

flake8:
	@+flake8 -j 8 --count --statistics --exit-zero .

test:
     # Build the Cython extension
	python setup.py build_ext --inplace
     # Run the tests
	python -m unittest discover tests

testnobinary:
     # Run the tests
	python -m unittest discover tests
     #pytest --cov-branch

testnose:
    nosetests -vv --with-coverage

testtox:
    # Test for multiple Python versions
	tox --skip-missing-interpreters -p all

testsetup:
	python setup.py check --metadata --restructuredtext --strict

testsetuppost:
	twine check "dist/*"

testcoverage:
     # This is the preferred way to run the tests since Python 3.10
	@+make coverclean
     # Build the Cython extension
	#python setup.py build_ext --inplace --cythonize  # unnecessary to call build_ext --inplace now
    python setup.py develop --cythonize
     # Run the tests
	# nosetests reedsolo --with-coverage --cover-package=reedsolo --cover-erase --cover-min-percentage=80 -d -v
     # With PyTest, it is now necessary to first install the python module so that it is found (--cov=<module>)
     #python setup.py develop
     #pytest --cov-report term-missing --cov-config=.coveragerc --cov=. tests/ --cov-branch
     #python setup.py develop --uninstall
    coverage run --branch -m pytest . -v
    coverage report -m


distclean:
	@+make coverclean
	@+make prebuildclean
	@+make clean
    @+make toxclean
prebuildclean:
	@+python -c "import shutil; shutil.rmtree('build', True)"
	@+python -c "import shutil; shutil.rmtree('dist', True)"
	@+python -c "import shutil; shutil.rmtree('reedsolo.egg-info', True)"
coverclean:
	@+python -c "import os; os.remove('.coverage') if os.path.exists('.coverage') else None"
	@+python -c "import shutil; shutil.rmtree('__pycache__', True)"
	@+python -c "import shutil; shutil.rmtree('tests/__pycache__', True)"
clean:
	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('*.py[co]')]"
	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tests/*.py[co]')]"
toxclean:
	@+python -c "import shutil; shutil.rmtree('.tox', True)"


installdev:
	@+python setup.py develop --uninstall
	@+python setup.py develop

install:
	@+python setup.py install

build:
	@+make prebuildclean
	@+make testsetup
	@+python setup.py sdist bdist_wheel
	# @+python setup.py bdist_wininst
    pymake testsetuppost  # @+make does not work here, dunno why

pypi:
	twine upload dist/*

buildupload:
	@+make build
	@+make pypi

=== debian/changelog ===
python-reedsolo (1.7.0-1build5) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:54:19 +0000

python-reedsolo (1.7.0-1build4) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:22:31 +0000

python-reedsolo (1.7.0-1build3) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:28:49 +0100

python-reedsolo (1.7.0-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:58:51 +0000

python-reedsolo (1.7.0-1build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:27:36 +0100

python-reedsolo (1.7.0-1) unstable; urgency=medium

  * Initial release. (Closes: #985095)

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 28 Feb 2023 00:37:24 +0200

=== debian/control ===
Source: python-reedsolo
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Antoine Beaupré <anarcat@debian.org>,
 Faidon Liambotis <paravoid@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-all-dev,
 python3-setuptools,
 cython3,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.6.2
Homepage: https://github.com/tomerfiliba/reedsolomon
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-reedsolo
Vcs-Git: https://salsa.debian.org/python-team/packages/python-reedsolo.git

Package: python3-reedsolo
Architecture: any
Depends:
 ${shlibs:Depends},
 ${python3:Depends},
 ${misc:Depends},
Description: Reed Solomon encoder/decoder library in Python
 A pythonic universal errors-and-erasures Reed-Solomon Codec to protect your
 data from errors and bitrot. It includes a pure Python implementation and a
 speed-optimized Cython/C extension.
 .
 This is a burst-type implementation, so that it supports any Galois field
 higher than 2^3, but not binary streams. Burst errors are non-random errors
 that more often happen on data storage mediums such as hard drives, hence this
 library is better suited for data storage protection, and less for streams
 noise correction, although it also works for this purpose but with a bit of
 overhead (since it works with bytes only, instead of bits).
 .
 Based on the wonderful tutorial at Wikiversity, written by "Bobmath" and
 "LRQ3000". If you are just starting with Reed-Solomon error correction codes,
 the Wikiversity article is a good beginner's introduction.
